langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.teaser
    - field.field.node.resource_page.field_p_resource_display_360_url
    - field.field.node.resource_page.field_p_resource_display_audienc
    - field.field.node.resource_page.field_p_resource_display_author
    - field.field.node.resource_page.field_p_resource_display_byline
    - field.field.node.resource_page.field_p_resource_display_copyr
    - field.field.node.resource_page.field_p_resource_display_descrip
    - field.field.node.resource_page.field_p_resource_display_doc_img
    - field.field.node.resource_page.field_p_resource_display_file
    - field.field.node.resource_page.field_p_resource_display_format
    - field.field.node.resource_page.field_p_resource_display_gallery
    - field.field.node.resource_page.field_p_resource_display_list_cd
    - field.field.node.resource_page.field_p_resource_display_list_im
    - field.field.node.resource_page.field_p_resource_display_list_ti
    - field.field.node.resource_page.field_p_resource_display_meta
    - field.field.node.resource_page.field_p_resource_display_pro_men
    - field.field.node.resource_page.field_p_resource_display_select
    - field.field.node.resource_page.field_p_resource_display_series
    - field.field.node.resource_page.field_p_resource_display_tags
    - field.field.node.resource_page.field_p_resource_display_topic
    - field.field.node.resource_page.field_p_resource_display_video
    - field.field.node.resource_page.field_p_resource_pub_date
    - node.type.resource_page
  module:
    - cern_cds_media
    - datetime
    - ds
    - field_formatter_class
    - image
    - user
third_party_settings:
  ds:
    layout:
      id: pattern_preview_list
      library: null
      disable_css: false
      entity_classes: all_classes
      settings:
        pattern:
          field_templates: only_content
    regions:
      listing_cds_image:
        - field_p_resource_display_list_cd
      listing_image:
        - field_p_resource_display_list_im
      topic:
        - field_p_resource_display_topic
      title:
        - field_p_resource_display_list_ti
      strap:
        - field_p_resource_display_byline
      news_format:
        - field_p_resource_display_format
      date:
        - field_p_resource_pub_date
id: node.resource_page.teaser
targetEntityType: node
bundle: resource_page
mode: teaser
content:
  field_p_resource_display_byline:
    type: entity_reference_label
    weight: 4
    region: strap
    label: above
    settings:
      link: false
    third_party_settings:
      field_formatter_class:
        class: ""
  field_p_resource_display_format:
    type: entity_reference_label
    weight: 5
    region: news_format
    label: above
    settings:
      link: false
    third_party_settings:
      field_formatter_class:
        class: ""
  field_p_resource_display_list_cd:
    type: CernCdsMediaDefaultFormatter
    weight: 0
    region: listing_cds_image
    label: above
    settings: {}
    third_party_settings: {}
  field_p_resource_display_list_im:
    type: image_url
    weight: 1
    region: listing_image
    label: above
    settings:
      image_style: ""
    third_party_settings:
      field_formatter_class:
        class: ""
  field_p_resource_display_list_ti:
    type: string
    weight: 3
    region: title
    label: above
    settings:
      link_to_entity: true
    third_party_settings:
      field_formatter_class:
        class: ""
  field_p_resource_display_topic:
    type: entity_reference_label
    weight: 2
    region: topic
    label: above
    settings:
      link: false
    third_party_settings:
      field_formatter_class:
        class: ""
  field_p_resource_pub_date:
    type: datetime_custom
    weight: 6
    region: date
    label: above
    settings:
      timezone_override: ""
      date_format: "d F, Y"
    third_party_settings:
      field_formatter_class:
        class: ""
hidden:
  content_moderation_control: true
  field_p_resource_display_360_url: true
  field_p_resource_display_audienc: true
  field_p_resource_display_author: true
  field_p_resource_display_copyr: true
  field_p_resource_display_descrip: true
  field_p_resource_display_doc_img: true
  field_p_resource_display_file: true
  field_p_resource_display_gallery: true
  field_p_resource_display_meta: true
  field_p_resource_display_pro_men: true
  field_p_resource_display_select: true
  field_p_resource_display_series: true
  field_p_resource_display_tags: true
  field_p_resource_display_video: true
  langcode: true
  links: true
